Ubuntu

lp:ubuntu/natty/debconf

Created by James Westby on 2010-10-13 and last modified on 2011-02-20
Get this branch:
bzr branch lp:ubuntu/natty/debconf
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

48. By Steve Langasek on 2011-02-20

Mark debconf Multi-Arch: foreign to indicate that it satisfies the
dependencies of packages from other than the native arch.

47. By Colin Watson on 2010-12-17

[ Martin Pitt ]
* Debconf/FrontEnd/Gnome.pm: Port from Gnome2::Druid to Gtk2::Assistant.
  Original patch by Jani Monoses, thanks! (LP: #415038)
* Debconf/Element/Gnome/Select.pm: Drop unused Gnome2 import.
* debian/control: Change libgnome2-perl suggestion to libgtk2-perl
  accordingly.

[ Colin Watson ]
* Fix Gnome frontend to honour backup capability again, and make backup
  page handling work properly.
* Version libgtk2-perl Suggests to match the upstream version where
  Gtk2::Assistant was introduced.
* Convert from deprecated Gtk2::Combo to Gtk2::ComboBox.
* Make sure you can't press Forward on a progress bar in the Gnome
  frontend.
* Backport from trunk:
  - Correctly handle disabling the backup capability in a confmodule after
    it was previously enabled.

46. By Colin Watson on 2010-12-03

Support Python 2.7.

45. By Colin Watson on 2010-11-24

* Resynchronise with Debian. Remaining changes:
  - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
    maintainer scripts.
  - Build for python2.6, and not for python2.4 or python2.5.
  - Convert debconf.py for python3.1 and install.

44. By Matthias Klose on 2010-09-27

Don't use dh_python[23] to install the debconf.py module.

43. By Matthias Klose on 2010-09-26

* Move the debconf module for python3 into /usr/lib/python3/dist-modules.
* Remove the build dependency on python-central, use dh_python[23].

42. By Colin Watson on 2010-05-21

* Resynchronise with Debian. Remaining changes:
  - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
    maintainer scripts.
  - Build for python2.6, and not for python2.4 or python2.5.
  - Convert debconf.py for python3.1 and install.

41. By Colin Watson on 2010-04-09

Build for python3.1 rather than python3.0.

40. By Colin Watson on 2010-04-08

Stop building for python2.5 (LP: #558453).

39. By Michael Vogt on 2010-02-05

Gnome.pm: Do not show "Cancel" or "Close" buttons
so that the maintainer scripts do not break
(LP: #517813 #517810 #517720)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/debconf
This branch contains Public information 
Everyone can see this information.

Subscribers